NUT-RECORDER(8)

NAME
nut-recorder - utility to record device status and values changes

SYNOPSIS

nut-recorder device-name [output-file] [interval]

DESCRIPTION

nut-recorder is an utility to record sequences from running devices (such as power failures, or any other value changes) from upsd, and dump it in a .seq format.

The .seq file can then be used by the dummy-ups(8) driver to replay the sequence.

OPTIONS

device-name
    Record the changes of this device. The format for this option is devname[@hostname[:port]]. The default hostname is "localhost".

output-file
    Optional. Data will be saved to this file. The default is dummy-device.seq.

interval
    Optional. The status of the device will be checked every interval. The default is 5 seconds.

EXAMPLES

To record data from ups1@host1 every 10 seconds:

    $ nut-recorder ups1@host1' ups1-output.seq 10
    . . .
    battery.charge: 100.0
    battery.voltage: 13.9
    battery.voltage.nominal: 13.6
    ups.status: OL
    . . .
    battery.charge: 90.0
    ups.status: OB
    . . .

You can then define a dummy device in ups.conf(5):

    [ups-test]
            driver = dummy-ups
            port = ups1-output.seq

AUTHOR

Arnaud Quette

SEE ALSO

dummy-ups(8)

INTERNET RESOURCES

The NUT (Network UPS Tools) home page: http://www.networkupstools.org/